group "DeliverReturn.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 4 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 3 locations

Content Model Diagram

Complex Content Model
deliveringPartyReference?, receivingPartyReference?, currency?, amount?

Content Model Elements (4):

  amount (defined in DeliverReturn.model group),
  currency (defined in DeliverReturn.model group),
  deliveringPartyReference (defined in DeliverReturn.model group),
  receivingPartyReference (defined in DeliverReturn.model group)

Known Usage Locations

- In definitions of global complexTypes (3):
  ExpectedCollateralReturn, MarginRequirementDeliver, MarginRequirementReturn

XML Source (see within schema source)

<xsd:group name="DeliverReturn.model"> <xsd:sequence> <xsd:element minOccurs="0" name="deliveringPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="receivingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/4)
amount

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/>

currency

  Type: | Currency, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

deliveringPartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="deliveringPartyReference" type="PartyReference"/>

receivingPartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="receivingPartyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.